# PATCH /product-components/:product_component_id

**Resource:** [COMPONENTS](./components.md)  
**MCP tool:** `update_product_component`  
**Scopes:** `products:write`  
**Write operation:** yes

Update a product template component. The product it belongs to cannot be changed.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `product_component_id` | path | string | yes |  |
| `type` | body | string | no |  |
| `label` | body | string | no |  |
| `status` | body | string | no |  |
| `attributes` | body | object | no |  |
| `sort_order` | body | number | no |  |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/product-components/:product_component_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"type":"...","label":"...","status":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`